Bug 1073579 - obs memory constraints ineffective for 32 bit targets
obs memory constraints ineffective for 32 bit targets
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-19 22:23 UTC by Stefan Brüns
Modified: 2022-07-21 17:20 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Brüns 2017-12-19 22:23:43 UTC
If a package has a memory constraint, it is ineffective for 32 bit targets.

The kvm instance is started with an appropriate -m memory parameter, but the worker is not able to use it, as the worker uses a non-PAE kernel and is only able to use 3 GByte of "physical" memory.

This can trivially be fixed by using the PAE kernel (resp LPAE for armv7l) for building obs-kernel.
Comment 1 Takashi Iwai 2017-12-21 10:35:02 UTC
Thanks, I've also seen the build failures of armv7l recently.

Michal, could you care this?
Comment 2 Michal Suchanek 2017-12-21 12:30:46 UTC
How is this going to work for armv6?
Comment 3 Stefan Brüns 2017-12-27 14:28:50 UTC
I can see three ways how to deal with armv6l:

1. ignore the issue
2. create an armv6l-lpae kernel
3. run armv6l userspace on the armv7l-lpae kernel

For 1., lots of the failing packages are not too useful on armv6 anyway - this is mostly the RPi1, so 512MB of memory. (Hopefully) nobody will try to run e.g. Libreoffice or Firefox on it.

2., I /think/ LPAE also works on armv6l, at least on qemu.
Comment 4 Michal Suchanek 2018-03-19 18:17:34 UTC
Project Configuration of openSUSE:Factory:PowerPC

# Need to copy 64bit kernel for 32bit builds
ExportFilter: ^kernel-obs-build.*\.ppc64\.rpm$ . ppc

Meta Configuration of Package kernel-obs-build

<package name="kernel-obs-build" project="openSUSE:Factory:PowerPC">
  <title>package kernel and initrd for OBS VM builds</title>
  <description>This package is repackaging already compiled kernels to make them usable
inside of Open Build Service (OBS) VM builds. An initrd with some basic
kernel modules is generated as well, but further kernel modules can be 
loaded during build when installing the kernel package.

</description>
  <build>
    <disable arch="x86_64"/>
    <disable arch="ppc"/>
  </build>
  <bcntsynctag>kernel-source</bcntsynctag>
</package>


So maybe we need something similar for armv6
Comment 5 Michal Suchanek 2018-03-23 15:10:04 UTC
This line in project config works for me: 

ExportFilter: ^kernel-obs-build.*\.armv7hl\.rpm$ . armv6hl


Besides this building kernel-obs-build should be disabled for armv6.

Please reassign to the correct product so this change can be implemented in Factory configuration.
Comment 6 Michal Suchanek 2018-03-28 12:46:57 UTC
DimStar adjusted openSUSE:Factory:ARM so this should be fixed.
Comment 9 Swamp Workflow Management 2018-11-06 15:41:41 UTC
This is an autogenerated message for OBS integration:
This bug (1073579) was mentioned in
https://build.opensuse.org/request/show/646686 42.3 / kernel-source
Comment 11 Swamp Workflow Management 2018-11-09 20:23:30 UTC
SUSE-SU-2018:3688-1: An update that solves 6 vulnerabilities and has 100 fixes is now available.

Category: security (important)
Bug References: 1011920,1012382,1012422,1020645,1031392,1035053,1042422,1043591,1048129,1050431,1050549,1053043,1054239,1057199,1065600,1065726,1067906,1073579,1076393,1078788,1079524,1082519,1083215,1083527,1084760,1089343,1091158,1093118,1094244,1094825,1095805,1096052,1098050,1098996,1099597,1101555,1103308,1103405,1104124,1105025,1105428,1105795,1105931,1106105,1106110,1106240,1106293,1106359,1106434,1106594,1106913,1106929,1107060,1107299,1107318,1107535,1107829,1107870,1108315,1108377,1108498,1109158,1109333,1109772,1109784,1109806,1109818,1109907,1109919,1109923,1110006,1110363,1110468,1110600,1110601,1110602,1110603,1110604,1110605,1110606,1110611,1110612,1110613,1110614,1110615,1110616,1110618,1110619,1111363,1111516,1111870,1112007,1112262,1112263,1112894,1112902,1112903,1112905,1113667,1113751,1113769,1114178,1114229,1114648,981083,997172
CVE References: CVE-2018-14633,CVE-2018-18281,CVE-2018-18386,CVE-2018-18690,CVE-2018-18710,CVE-2018-9516
Sources used:
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_21-1-4.5.2
Comment 12 Swamp Workflow Management 2018-11-09 20:50:12 UTC
SUSE-SU-2018:3689-1: An update that solves 6 vulnerabilities and has 100 fixes is now available.

Category: security (important)
Bug References: 1011920,1012382,1012422,1020645,1031392,1035053,1042422,1043591,1048129,1050431,1050549,1053043,1054239,1057199,1065600,1065726,1067906,1073579,1076393,1078788,1079524,1082519,1083215,1083527,1084760,1089343,1091158,1093118,1094244,1094825,1095805,1096052,1098050,1098996,1099597,1101555,1103308,1103405,1104124,1105025,1105428,1105795,1105931,1106105,1106110,1106240,1106293,1106359,1106434,1106594,1106913,1106929,1107060,1107299,1107318,1107535,1107829,1107870,1108315,1108377,1108498,1109158,1109333,1109772,1109784,1109806,1109818,1109907,1109919,1109923,1110006,1110363,1110468,1110600,1110601,1110602,1110603,1110604,1110605,1110606,1110611,1110612,1110613,1110614,1110615,1110616,1110618,1110619,1111363,1111516,1111870,1112007,1112262,1112263,1112894,1112902,1112903,1112905,1113667,1113751,1113769,1114178,1114229,1114648,981083,997172
CVE References: CVE-2018-14633,CVE-2018-18281,CVE-2018-18386,CVE-2018-18690,CVE-2018-18710,CVE-2018-9516
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    kernel-default-4.4.162-94.69.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    kernel-docs-4.4.162-94.69.2, kernel-obs-build-4.4.162-94.69.2
SUSE Linux Enterprise Server 12-SP3 (src):    kernel-default-4.4.162-94.69.2, kernel-source-4.4.162-94.69.2, kernel-syms-4.4.162-94.69.2, lttng-modules-2.7.1-8.6.1
SUSE Linux Enterprise High Availability 12-SP3 (src):    kernel-default-4.4.162-94.69.2
SUSE Linux Enterprise Desktop 12-SP3 (src):    kernel-default-4.4.162-94.69.2, kernel-source-4.4.162-94.69.2, kernel-syms-4.4.162-94.69.2
SUSE CaaS Platform ALL (src):    kernel-default-4.4.162-94.69.2
SUSE CaaS Platform 3.0 (src):    kernel-default-4.4.162-94.69.2
Comment 13 Swamp Workflow Management 2018-11-12 22:01:55 UTC
This is an autogenerated message for OBS integration:
This bug (1073579) was mentioned in
https://build.opensuse.org/request/show/648620 42.3 / kernel-source
Comment 14 Swamp Workflow Management 2018-11-20 20:12:14 UTC
openSUSE-SU-2018:3817-1: An update that solves 5 vulnerabilities and has 66 fixes is now available.

Category: security (important)
Bug References: 1011920,1012382,1012422,1020645,1031392,1035053,1042422,1043591,1048129,1050431,1053043,1054239,1057199,1062303,1065600,1065726,1067906,1073579,1076393,1078788,1079524,1083215,1083527,1084760,1091158,1093118,1094825,1095805,1098050,1098996,1101555,1104124,1105025,1105931,1106110,1106359,1106594,1106913,1106929,1107060,1107299,1107535,1107870,1108377,1108498,1109158,1109772,1109784,1109818,1109907,1109919,1109923,1110006,1111516,1111870,1112007,1112262,1112263,1112894,1112902,1112903,1112905,1113667,1113751,1113769,1114178,1114229,1114648,1115587,981083,997172
CVE References: CVE-2018-18281,CVE-2018-18386,CVE-2018-18690,CVE-2018-18710,CVE-2018-9516
Sources used:
openSUSE Leap 42.3 (src):    kernel-debug-4.4.162-78.1, kernel-default-4.4.162-78.1, kernel-docs-4.4.162-78.1, kernel-obs-build-4.4.162-78.1, kernel-obs-qa-4.4.162-78.1, kernel-source-4.4.162-78.1, kernel-syms-4.4.162-78.1, kernel-vanilla-4.4.162-78.1
Comment 17 Swamp Workflow Management 2019-01-16 07:01:26 UTC
SUSE-SU-2019:0095-1: An update that solves 13 vulnerabilities and has 140 fixes is now available.

Category: security (important)
Bug References: 1011920,1012382,1012422,1020645,1031392,1035053,1042422,1043591,1044189,1048129,1050431,1050549,1053043,1054239,1057199,1062303,1063026,1065600,1065726,1066223,1067906,1073579,1076393,1078788,1079524,1082519,1082863,1082979,1083215,1083527,1084427,1084536,1084760,1087209,1088087,1089343,1090535,1091158,1093118,1094244,1094555,1094562,1094825,1095344,1095753,1095805,1096052,1096547,1098050,1098996,1099597,1099810,1101555,1102495,1102715,1102870,1102875,1102877,1102879,1102882,1102896,1103156,1103269,1103308,1103405,1104124,1105025,1105428,1105795,1105931,1106095,1106105,1106110,1106240,1106293,1106359,1106434,1106512,1106594,1106913,1106929,1106934,1107060,1107299,1107318,1107535,1107829,1107870,1107924,1108096,1108170,1108240,1108281,1108315,1108377,1108399,1108498,1108803,1108823,1109038,1109158,1109333,1109336,1109337,1109441,1109772,1109784,1109806,1109818,1109907,1109919,1109923,1110006,1110297,1110337,1110363,1110468,1110600,1110601,1110602,1110603,1110604,1110605,1110606,1110611,1110612,1110613,1110614,1110615,1110616,1110618,1110619,1110930,1111363,1111516,1111870,1112007,1112262,1112263,1112894,1112902,1112903,1112905,1113667,1113751,1113766,1113769,1114178,1114229,1114648,1115593,981083,997172
CVE References: CVE-2018-14613,CVE-2018-14617,CVE-2018-14633,CVE-2018-16276,CVE-2018-16597,CVE-2018-17182,CVE-2018-18281,CVE-2018-18386,CVE-2018-18690,CVE-2018-18710,CVE-2018-7480,CVE-2018-7757,CVE-2018-9516
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    kernel-azure-4.4.162-4.19.2, kernel-source-azure-4.4.162-4.19.1, kernel-syms-azure-4.4.162-4.19.1